Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherBoolProperty

    java.lang.Object
      org.apache.poi.ddf.EscherProperty
          org.apache.poi.ddf.EscherSimpleProperty
              org.apache.poi.ddf.EscherBoolProperty

    public class EscherBoolProperty

extends EscherSimpleProperty

Represents a boolean property. The actual utility of this property is in doubt because many of the properties marked as boolean seem to actually contain special values. In other words they're not true booleans.

Author:
  Glen Stampoultzis
See Also:
  `EscherSimpleProperty`, `EscherProperty`

Field Summary

Fields inherited from class org.apache.poi.ddf.EscherSimpleProperty
`propertyValue`

Constructor Summary
`EscherBoolProperty(short propertyNumber, int value)` Create an instance of an escher boolean property.

Method Summary
`boolean` | `isFalse()` Whether this boolean property is false
`boolean` | `isTrue()` Whether this boolean property is true

Methods inherited from class org.apache.poi.ddf.EscherSimpleProperty
`equals, getPropertyValue, hashCode, serializeComplexPart, serializeSimplePart, toString`

Methods inherited from class org.apache.poi.ddf.EscherProperty
`getId, getName, getPropertyNumber, getPropertySize, isBlipId, isComplex`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EscherBoolProperty

    public EscherBoolProperty(short propertyNumber,
                              int value)

  Create an instance of an escher boolean property.

  Parameters:
    `propertyNumber` - The property number (or id)
    `value` - The 32 bit value of this bool property

Method Detail

### isTrue

    public boolean isTrue()

  Whether this boolean property is true

### isFalse

    public boolean isFalse()

  Whether this boolean property is false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.